--Adds custom hints!

function HintManager:addCustomHint(str, event)
	
	Global.hint_manager.hints[str] = {
		text_id = str,
		trigger_times = nil,
		trigger_count = 0,
		sync = true,
		event = event,
		level = nil
	}
	
end

Hooks:PostHook( HintManager, "init", "parisian_cigars_hintshook", function(self)
	
	self:addCustomHint("q011_hint_alarmtrip_serverfuse", "stinger_feedback_negative")
	self:addCustomHint("q011_hint_alarmtrip_silentalarm", "stinger_feedback_negative")
	self:addCustomHint("q011_hint_alarmtrip_fusetimer", "stinger_feedback_negative")
	self:addCustomHint("q011_hint_alarmtrip_glassopened", "stinger_feedback_negative")
	
	self:addCustomHint("q011_hint_casingtool_pc_activated", "stinger_feedback_positive")
	self:addCustomHint("q011_hint_casingtool_pc_removed", "stinger_feedback_positive")
	self:addCustomHint("q011_hint_casingtool_pc_none", "stinger_feedback_negative")

end )